# Suchbot, a bot for suchmemes ._.

# Supported platforms:
 - [x] Mastodon (Come check it out at [@wownero](https://mastodon.social/@wownero))
 - [x] Tumblr (only posts image due to the package limitations. Check out the feed here: [wownero](https://wownero.tumblr.com/)
 - [ ] XMPP
 - [ ] IRC

## It uses a [Supabase](https://supabase.com/) database to store the json from https://suchwow.xyz/api/list.

> Posts image data directly to services without storing it.

# Reproducing:
To reproduce, set up a .env with the following and install the necessary modules found in `requirements.txt`:

```
SUPABASE_URL=
SUPABASE_KEY=

Mastodon:
MAST_TOKEN=

Tumblr:
consumer_key=
consumer_secret=
oauth_token=
oauth_secret=
```